Ubuntu

mono-addins.pc is wrong

Reported by directhex on 2007-10-05
16
Affects Status Importance Assigned to Milestone
mono-addins (Ubuntu)
Medium
Unassigned
Gutsy
Medium
Unassigned
Hardy
Medium
Unassigned

Bug Description

mono-addins.pc in this package points to /usr/lib/mono-addins/Mono.Addins.dll

However, the location of the library is /usr/lib/cli/mono-addins-0.2/Mono.Addins.dll

This seems to be enough to prevent MonoDevelop from seeing the reference & allowing use of the assembly in projects

TEST CASE:

1.1) Install (if not already installed) the faulty libraries :

sudo apt-get install libmono-addins0.2-cil libmono-addins-gui0.2-cil

1.2) Install the libglade-2.0-cil package:

sudo apt-get install libglade2.0-cil

2) Check that pkgconfig fails to locate the libraries:

2.1) pkg-config --libs mono-addins
2.2) pkg-config --libs mono-addins-setup
2.3) pkg-config --libs mono-addins-gui

will give:

2.1) -r:/usr/lib/mono-addins/Mono.Addins.dll

2.2) Package Mono.Addins was not found in the pkg-config search path.
Perhaps you should add the directory containing `Mono.Addins.pc'
to the PKG_CONFIG_PATH environment variable
Package 'Mono.Addins', required by 'Mono.Addins.Setup', not found

2.3) Package Mono.Addins was not found in the pkg-config search path.
Perhaps you should add the directory containing `Mono.Addins.pc'
to the PKG_CONFIG_PATH environment variable
Package 'Mono.Addins', required by 'Mono.Addins.Gui', not found

3) Install the packages from the gutsy-proposed repository (you may have to add it to your /etc/apt/sources.list file).

4) Check that pkgconfig now locates correctly the libraries:

4.1) -r:/usr/lib/cli/mono-addins-0.2/Mono.Addins.dll
4.2) -r:/usr/lib/cli/mono-addins-0.2/Mono.Addins.Setup.dll -r:/usr/lib/cli/mono-addins-0.2/Mono.Addins.dll
4.3) -r:/usr/lib/cli/mono-addins-0.2/Mono.Addins.Gui.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gnome-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glade-sharp.dll -r:/usr/lib/cli/mono-addins-0.2/Mono.Addins.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/art-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gnome-vfs-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll

Changed in mono-addins:
status: New → Confirmed
importance: Undecided → Medium
Cesare Tirabassi (norsetto) wrote :

Fixed by 0.2-4:

mono-addins (0.2-4) unstable; urgency=low
   * Mirco 'meebey Bauer:
     + debian/rules:
       - Bumped clilibs to 0.2-4.
     + debian/patches/fix_mono-addins.pc.dpatch
       debian/patches/fix_mono-addins-gui.pc.dpatch
       debian/patches/fix_mono-addins-setup.pc.dpatch:
       - Fixed paths, Requires fields and bumped Version to 0.2.1

 -- Mirco Bauer <email address hidden> Sat, 22 Sep 2007 00:19:53 +0200

Changed in mono-addins:
importance: Undecided → Medium
status: New → Confirmed
status: Confirmed → Fix Released
Cesare Tirabassi (norsetto) wrote :

I have a patch for gutsy that I would like to submit.
To do so, I need to present a TEST CASE which people can use to check if the patch a) solve the problem b) do not cause any other misbehavior.
Would you suggest any simple test (involving or not monodevelop) that can be used?

Changed in mono-addins:
assignee: nobody → directhex
status: Confirmed → Incomplete
directhex (directhex) wrote :

Try compiling the attached with:
gmcs `pkg-config --libs mono-addins` test.cs

On Gutsy, the following error is returned:
error CS0006: cannot find metadata file `/usr/lib/mono-addins/Mono.Addins.dll'
Compilation failed: 1 error(s), 0 warnings

This is because "pkg-config --libs mono-addins" expands to:
-r:/usr/lib/mono-addins/Mono.Addins.dll
which is the wrong path

Changed in mono-addins:
assignee: directhex → norsetto
description: updated
Changed in mono-addins:
assignee: norsetto → nobody
status: Incomplete → Confirmed
Cesare Tirabassi (norsetto) wrote :

In support of the SRU request:
The bug makes the application unusable.
The bug has been fixed in the Development release and in Debian unstable, a minimal patch for the -proposed repository is attached to this bug (package has already been uploaded).
Detailed instructions on how to reproduce the bug have been added to bug description (under the TEST CASE: header).
No regression potential has been identified (these packages are rdepends of monodevelop-versioncontrol monodevelop-nunit and monodevelop); note that to avoid possible conflicts the *.pc version has been bumped to 0.2.1

Changes file is pasted:

Format: 1.7
Date: Mon, 19 Nov 2007 21:30:05 +0100
Source: mono-addins
Binary: libmono-addins-gui0.2-cil libmono-addins0.2-cil
Architecture: source
Version: 0.2-2ubuntu0.1
Distribution: gutsy-proposed
Urgency: low
Maintainer: Ubuntu MOTU Developers <email address hidden>
Changed-By: Cesare Tirabassi <email address hidden>
Description:
 libmono-addins-gui0.2-cil - GTK# frontend library for Mono.Addins
 libmono-addins0.2-cil - addin framework for creating extensible CLI applications/librarie
Launchpad-Bugs-Fixed: 149485
Changes:
 mono-addins (0.2-2ubuntu0.1) gutsy-proposed; urgency=low
 .
   * Fix incorrect pkgconfig files (LP: #149485):
     - debian/patches/fix_mono-addins.pc.dpatch
       debian/patches/fix_mono-addins-gui.pc.dpatch
       debian/patches/fix_mono-addins-setup.pc.dpatch:
       - Fixed paths, Requires fields and bumped Version to 0.2.1
   * Fix debian/rules so that patches apply correctly
   * Modify Maintainer value to match the DebianMaintainerField
     specification.
Files:
 17d316c556278def7e74c2c020a7af22 946 libs optional mono-addins_0.2-2ubuntu0.1.dsc
 ea57f263bf16eb2b00b3717e0b800e90 231673 libs optional mono-addins_0.2.orig.tar.gz
 6a16619d5b6da8ffd5416d96b1f11a9e 29553 libs optional mono-addins_0.2-2ubuntu0.1.diff.gz
Original-Maintainer: Debian Mono Group <email address hidden>

Jonathan Riddell (jr) wrote :

accepted to gutsy-proposed, please test

Changed in mono-addins:
status: Confirmed → Fix Committed
Cesare Tirabassi (norsetto) wrote :

If you would like to test it, please add the following lines
to /etc/apt/sources.list:

  deb http://archive.ubuntu.com/ubuntu/ gutsy-proposed universe

Then update and install libmono-addins0.2-cil and libmono-addins-gui0.2-cil with your preferred package manager.
The TEST CASE is outlined in the bug description.

Note that we need at least 2 positive tests for this to be accepted in gutsy-updates.

Cesare Tirabassi (norsetto) wrote :

For testers:

note that as of now (21.11.2007, 10:00 UTC) the binary packages have not yet been built:

https://launchpad.net/ubuntu/gutsy/+source/mono-addins/+builds

When testing please make sure that the packages are either upgraded correctly or the packages in gutsy-proposed are really installed.
You will recognise the packages in -proposed since they have an ubuntuX.Y
version, in this case these are 0.2-2ubuntu0.1.

Thank you!

Andrea Colangelo (warp10) wrote :

Tested in Gutsy: pkgconfig correctly locate the libraries.

directhex (directhex) wrote :

Confirmed as fixing the problem in Gutsy

Robert Di Gioia (digioiar) wrote :

Tested in Gutsy: obtained expected results for tests 4.1, 4.2, and 4.3. Output attached.

Cesare Tirabassi (norsetto) wrote :

Thanks everybody for testing.
Since we have three successful tests (4 counting me) and 7 days have elapsed, I'm tagging this as verification-motu-done and I'm subscribing this to the archive admins to request that this package is moved from -proposed to -updates, in accordance to https://wiki.ubuntu.com/StableReleaseUpdates#Universe

Martin Pitt (pitti) wrote :

Copied to -udpates.

Changed in mono-addins:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers